DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_06_04-UserEventNotificationsAllDayInterval';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15040) THEN
			RETURN;
		END IF;

		BEGIN

			ALTER TABLE public."UserEventNotifications" ADD "AllDayInterval" interval NULL;


			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
		EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE 'patch-2025_06_04-UserEventNotificationsAllDayInterval: %', SQLERRM;


		END;
	END;
$$